<?xml version="1.0" encoding="utf-8" ?>
<nlog xmlns="http://www.nlog-project.org/schemas/NLog.xsd"
      xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
      xsi:schemaLocation="http://www.nlog-project.org/schemas/NLog.xsd NLog.xsd"
      autoReload="true"
      throwExceptions="true"
      internalLogLevel="Off" internalLogFile="c:\temp\nlog-internal.log">

  <targets>

    <target xsi:type="File" name="fileEventLogForQueries" fileName="${specialfolder:folder=CommonApplicationData}\CompuTec\ProcessForce\Logs\queries ${shortdate}.log" layout=" ${time} ${message} ${stacktrace:format=DetailedFlat:topFrames=5}" />
    <target xsi:type="EventLog" name="eventlog" log="CompuTec" machineName="." source="CompuTec ProcessForce" layout="${time} ${level} ${newline} ${message}" />
    <target xsi:type="File" name="fileEventLog" fileName="${specialfolder:folder=CommonApplicationData}\CompuTec\ProcessForce\Logs\${shortdate}.log" layout="${time} ${level} ${newline} ${message}" />
    <!--archiveEvery="Minute" archiveFileName="${specialfolder:folder=CommonApplicationData}\CompuTec\ProcessForce\Logs\log${shortdate}.log" archiveNumbering="Date" archiveDateFormat="yyyyMMddHHmm"-->

  </targets>

  <rules>

    <!--<logger name="QueryNLogger" minlevel="Trace" writeTo="fileEventLogForQueries" />-->
    <logger name="GlobalNLogger" minlevel="Info" writeTo="eventlog" />
    <logger name="GlobalNLogger" minlevel="Info" writeTo="fileEventLog" />
    <logger name="FileNLogger" minlevel="Info" writeTo="fileEventLog" />
    
  </rules>
</nlog>